From d66e8c68fd3f412469b76bb60b9df713ee7bcfca Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Mon, 16 Jul 2018 09:43:16 +0100
Subject: [PATCH] run_test_suite: Don't try and use XVFB_PID if it's not
 defined.

---
 run_test_suite | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/run_test_suite b/run_test_suite
index 2848ec77a5..57c7f08d27 100755
--- a/run_test_suite
+++ b/run_test_suite
@@ -142,7 +142,10 @@ next_free_display() {
 }
 
 test_suite_cleanup() {
-    (kill -0 ${XVFB_PID} 2>/dev/null && kill ${XVFB_PID}) || /bin/true
+    if [ -n "${XVFB_PID:-}" ]; then
+        (kill -0 ${XVFB_PID} 2>/dev/null && kill ${XVFB_PID}) || /bin/true
+    fi
+    return $?
 }
 
 start_xvfb() {
-- 
2.18.0

